Languages and Scripting
Showing results for 
Search instead for 
Do you mean 

JRE 1.6 .002 install: JVM does not find libs under /opt/OV/lib and throws Unsatisfied link error

Highlighted
Occasional Visitor

JRE 1.6 .002 install: JVM does not find libs under /opt/OV/lib and throws Unsatisfied link error

After i install jre1.6.002 depot jvm some how is not able to locate the libraries under /opt/OV/lib and subsequent calls to JNI layes fail. Every thing looks perfect with JRE1.5 version.
And once i set the SHLIB_PATH to /opt/OV/lib,every thing looks great.
This happens only in HP-UX PA.

Any idea.

Regards,
Akhil
4 REPLIES
Acclaimed Contributor [Founder]

Re: JRE 1.6 .002 install: JVM does not find libs under /opt/OV/lib and throws Unsatisfied link error

>And once I set the SHLIB_PATH to /opt/OV/lib,every thing looks great.

I'm not sure why you think a generic JVM would know anything at all about /opt/OV/lib, unless you used SHLIB_PATH?
Occasional Visitor

Re: JRE 1.6 .002 install: JVM does not find libs under /opt/OV/lib and throws Unsatisfied link error

Hi Dennis,
Seems we have rpath entries in our Imakefile to /opt/OV/lib. I assume jvm looks into this path while looking out for libraries.
These all works with JRE1.5. But after installation of JRE 1.6.002, some how jvm lost this info.

Regards,
Akhil
Acclaimed Contributor [Founder]

Re: JRE 1.6 .002 install: JVM does not find libs under /opt/OV/lib and throws Unsatisfied link error

>Seems we have rpath entries in our Imakefile to /opt/OV/lib.

What were you making? A JNI shlib that uses /opt/OV/lib? (Is this 64 bit?)

>some how jvm lost this info.

This probably has nothing to do with JVM, most likely dld. Do you have the latest patches?
Occasional Visitor

Re: JRE 1.6 .002 install: JVM does not find libs under /opt/OV/lib and throws Unsatisfied link error

I have installed patch mentioned here -

http://docs.hp.com/en/HPUXJAVAPATCHES/g-11.23-6.0-1123.0712.html

Do i need to install any other patch?